all: fits_avg fits_gaincomp videoshow

videoshow: videoshow.c ../nlib.a
	gcc -O3 -I./ -I../ videoshow.c ../fileio.c ../util.c ../globals.c \
	../nlib.a -o videoshow -lSDL -lX11 -lXv

fits_avg: fits_avg.c ../nlib.a
	gcc -O3 -o $@ ../nlib.a $^

fits_gaincomp: fits_gaincomp.c ../nlib.a
	gcc -o $@ ../nlib.a $^

clean:
	rm -f videoshow videoshow.exe fits_avg fits_avg.exe fits_gaincomp fits_gaincomp.exe
